Get Appointments for Contact
Get Appointments for Contact
GET
/
contacts
/
{contactId}
/
appointments
Get Appointments for Contact
curl --request GET \
--url https://services.leadconnectorhq.com/contacts/{contactId}/appointments \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/contacts/{contactId}/appointments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/contacts/{contactId}/appointments"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"events": [
{
"id": "YS3jaqqeehkR2Is80miy",
"calendarId": "YlWd2wuCAZQzh2cH1fVZ",
"status": "booked",
"title": "Test",
"assignedUserId": "YlWd2wuCAZQzh2cH1fVZ",
"notes": "test",
"startTime": "2021-07-16 11:00:00",
"endTime": "2021-07-16 11:30:00",
"address": "Address",
"locationId": "YlWd2wuCAZQzh2cH1fVZ",
"contactId": "YlWd2wuCAZQzh2cH1fVZ",
"groupId": "YlWd2wuCAZQzh2cH1fVZ",
"appointmentStatus": "booked",
"users": [
"YlWd2wuCAZQzh2cH1fVZ",
"YlWd2wuCAZQzh2cH1fVZ"
],
"dateAdded": "2021-07-16 11:00:00",
"dateUpdated": "2021-07-16 11:30:00",
"assignedResources": [
"YlWd2wuCAZQzh2cH1fVZ",
"YlWd2wuCAZQzh2cH1fVZ"
]
}
]
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
Headers
API Version
Available options:
2021-07-28 Path Parameters
Contact Id
Example:
"sx6wyHhbFdRXh302LLNR"
Response
Successful response
Show child attributes
Show child attributes
Last modified on March 8, 2026
Was this page helpful?
⌘I
Get Appointments for Contact
curl --request GET \
--url https://services.leadconnectorhq.com/contacts/{contactId}/appointments \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/contacts/{contactId}/appointments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/contacts/{contactId}/appointments"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"events": [
{
"id": "YS3jaqqeehkR2Is80miy",
"calendarId": "YlWd2wuCAZQzh2cH1fVZ",
"status": "booked",
"title": "Test",
"assignedUserId": "YlWd2wuCAZQzh2cH1fVZ",
"notes": "test",
"startTime": "2021-07-16 11:00:00",
"endTime": "2021-07-16 11:30:00",
"address": "Address",
"locationId": "YlWd2wuCAZQzh2cH1fVZ",
"contactId": "YlWd2wuCAZQzh2cH1fVZ",
"groupId": "YlWd2wuCAZQzh2cH1fVZ",
"appointmentStatus": "booked",
"users": [
"YlWd2wuCAZQzh2cH1fVZ",
"YlWd2wuCAZQzh2cH1fVZ"
],
"dateAdded": "2021-07-16 11:00:00",
"dateUpdated": "2021-07-16 11:30:00",
"assignedResources": [
"YlWd2wuCAZQzh2cH1fVZ",
"YlWd2wuCAZQzh2cH1fVZ"
]
}
]
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}